> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve card transactions

> Retrieve completed card transactions and card-related crypto transaction activities



## OpenAPI

````yaml https://withbridge-image1-sv-usw2-monorail-openapi.s3.amazonaws.com/latest.json get /customers/{customerID}/card_accounts/{cardAccountID}/transactions
openapi: 3.0.2
info:
  title: Bridge API
  description: APIs to move into, out of, and between any form of a dollar
  version: '1'
servers:
  - url: https://api.bridge.xyz/v0
    description: The base path for all resources
security:
  - ApiKey: []
tags:
  - name: Customers
  - name: Fiat Payout Configuration
  - name: External Accounts
  - name: Transfers
  - name: Prefunded Accounts
  - name: Balances
  - name: Liquidation Addresses
  - name: Developers
  - name: API Keys
  - name: Plaid
  - name: Virtual Accounts
  - name: Static Memos
  - name: Cards
  - name: Funds Requests
  - name: Webhooks
  - name: Lists
  - name: Crypto Return Policies
  - name: Rewards
  - name: Associated Persons
  - name: Sandbox
paths:
  /customers/{customerID}/card_accounts/{cardAccountID}/transactions:
    get:
      tags:
        - Cards
      summary: Retrieve card transactions
      description: >-
        Retrieve completed card transactions and card-related crypto transaction
        activities
      parameters:
        - $ref: '#/components/parameters/CustomerIDParameter'
        - $ref: '#/components/parameters/CardAccountIDParameter'
        - $ref: '#/components/parameters/CardTransactionLimitParameter'
        - $ref: '#/components/parameters/StartingTimeParameter'
        - $ref: '#/components/parameters/EndingTimeParameter'
        - $ref: '#/components/parameters/PageSizeParameter'
        - $ref: '#/components/parameters/PageNumberParameter'
        - $ref: '#/components/parameters/CardTransactionStatusParameter'
        - $ref: '#/components/parameters/CardTransactionPaginationTokenParameter'
        - $ref: '#/components/parameters/CardTransactionCategoryFamilyParameter'
      responses:
        '200':
          description: Card transactions
          content:
            application/json:
              schema:
                title: List of card transactions
                type: object
                required:
                  - page
                  - count
                  - total_pages
                  - total_count
                  - data
                properties:
                  page:
                    type: integer
                    description: >-
                      The current page number, starting at 1. Note that this
                      will be returned only for navigating posted transactions.
                  pagination_token:
                    type: string
                    description: >-
                      The pagination token to be used to retrieve the next page
                      of transactions. If not provided, use the `page` parameter
                      to navigate by page number.
                  count:
                    type: integer
                    description: The number of transactions returned
                  total_pages:
                    type: integer
                    description: The total number of pages
                  total_count:
                    type: integer
                    description: The total number of transactions
                  data:
                    type: array
                    minItems: 0
                    items:
                      $ref: '#/components/schemas/CardTransaction'
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '500':
          $ref: '#/components/responses/UnexpectedError'
components:
  parameters:
    CustomerIDParameter:
      name: customerID
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Id'
    CardAccountIDParameter:
      name: cardAccountID
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Id'
    CardTransactionLimitParameter:
      in: query
      name: limit
      schema:
        type: integer
      description: >-
        The number of transactions to return, with a max of 200. The default is
        100
    StartingTimeParameter:
      in: query
      name: starting_time
      required: false
      schema:
        type: string
      description: The starting time in ISO8601 format. Default is 50 days ago.
    EndingTimeParameter:
      in: query
      name: ending_time
      required: false
      schema:
        type: string
      description: The exclusive ending time in ISO8601 format. Default is now.
    PageSizeParameter:
      in: query
      name: page_size
      required: false
      schema:
        type: string
      description: >-
        The max number of items to return for the requested page, with a max of
        200. The default is 100
    PageNumberParameter:
      in: query
      name: page
      required: false
      schema:
        type: string
      description: >-
        A specific page to fetch. If omitted, the first page (starting at 1)
        will be returned. Note that this is only supported for navigating posted
        transactions.
    CardTransactionStatusParameter:
      in: query
      name: status
      required: false
      schema:
        type: array
        items:
          type: string
          enum:
            - pending
            - posted
      style: form
      explode: true
      description: >-
        A status to filter the transactions by. If not provided, will default to
        `posted`.
    CardTransactionPaginationTokenParameter:
      in: query
      name: pagination_token
      required: false
      schema:
        type: string
      description: A pagination token to fetch the next page of transactions.
    CardTransactionCategoryFamilyParameter:
      in: query
      name: category_family
      required: false
      schema:
        type: string
        enum:
          - cards
          - crypto
      description: >-
        A category family to filter the transactions by. If set to `cards`, only
        card purchase related transactions will be returned. If set to `crypto`,
        only funding related transactions will be returned.` If not provided,
        all posted transactions will be returned.
  schemas:
    CardTransaction:
      description: A posted transaction
      required:
        - id
        - category
        - amount
        - currency
        - description
        - posted_at
      properties:
        id:
          $ref: '#/components/schemas/Id'
          description: ID of the transaction
        card_account_id:
          $ref: '#/components/schemas/Id'
          description: ID of the card account associated to this transaction
        customer_id:
          $ref: '#/components/schemas/Id'
          description: >-
            ID of the customer of the card account associated to this
            transaction
        category:
          type: string
          description: The category of the transaction
          enum:
            - adjustment
            - fee
            - purchase
            - refund
            - crypto_funding
            - crypto_return
            - crypto_withdrawal
        amount:
          type: string
          description: The amount represented as a decimal string
        billing_amount:
          type: string
          description: >-
            The billing amount, represented as a decimal string. The billing
            amount is the amount of the transaction excluding any additional
            hold. This amount should be present on all purchases, but will only
            differ from the amount field for some merchant categories in which
            an upcharge is involved (e.g. gas stations, hotels).
        currency:
          type: string
          description: The currency of the transaction
          enum:
            - usd
            - usdc
        merchant_category_code:
          type: string
          description: >-
            The merchant category code, if applicable (e.g., '5712'). Always
            returned for transactions with category `purchase` or `refund`
        merchant_name:
          type: string
          description: >-
            The merchant name, if applicable. Always returned for transactions
            with category `purchase` or `refund`
        merchant_location:
          type: string
          description: >-
            The merchant location, if applicable. Always returned for
            transactions with category `purchase` or `refund`
        description:
          type: string
          description: >-
            The transaction description. It includes the merchant's name and
            location information for card transactions
        local_transaction_details:
          $ref: '#/components/schemas/CardLocalTransactionDetails'
        posted_at:
          type: string
          description: Timestamp when the transaction was posted, in ISO8601 format
        authorized_at:
          type: string
          description: >-
            Timestamp when the transaction was authorized, in ISO8601 format.
            Applicable only to transactions with category `purchase` or `refund`
            and always returned when applicable
        status:
          type: string
          description: The status of the transaction
          enum:
            - pending
            - posted
        crypto_transaction_details:
          $ref: '#/components/schemas/CardCryptoTransactionDetails'
        related_transaction_ids:
          type: array
          description: IDs of related card transactions
          items:
            type: string
        stripe_issuing_transaction_id:
          type: string
          nullable: true
          description: >-
            The [Stripe Issuing transaction
            ID](https://docs.stripe.com/api/issuing/transactions/object?issuing_transaction_object-id),
            if the transaction is backed by Stripe Issuing
    Id:
      description: A UUID that uniquely identifies a resource
      type: string
      pattern: '[a-z0-9]*'
      minLength: 1
      maxLength: 42
    CardLocalTransactionDetails:
      description: >-
        Details of a transaction processed in a local currency other than USD,
        with currency conversion applied
      required:
        - amount
        - currency
        - exchange_rate
      properties:
        amount:
          type: string
          description: The amount in local currency, represented as a decimal string
        currency:
          type: string
          description: The transaction's local currency
        exchange_rate:
          type: string
          description: >-
            The exchange rate applied to convert the local currency amount into
            USD for the transaction
    CardCryptoTransactionDetails:
      description: >-
        Details of the underlying crypto transaction for crypto funding,
        withdrawal, or return transactions
      properties:
        from_address:
          type: string
          description: >-
            The source blockchain address of the crypto transaction. Present for
            crypto funding transactions
        to_address:
          type: string
          description: The destination blockchain address of the crypto transaction
        tx_hash:
          type: string
          description: The blockchain transaction hash
        chain:
          type: string
          description: The blockchain network on which the transaction occurred
          enum:
            - arbitrum
            - avalanche_c_chain
            - base
            - ethereum
            - optimism
            - polygon
            - solana
            - stellar
            - tron
        memo:
          type: string
          description: >-
            An optional memo associated with the crypto transaction, if
            applicable
    Error:
      required:
        - code
        - message
      properties:
        code:
          type: string
          minLength: 1
          maxLength: 256
        message:
          type: string
          minLength: 1
          maxLength: 512
        source:
          title: ErrorSource
          required:
            - location
            - key
          properties:
            location:
              type: string
              enum:
                - path
                - query
                - body
                - header
            key:
              type: string
              description: >-
                Comma separated names of the properties or parameters causing
                the error
  responses:
    AuthenticationError:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            MissingTokenError:
              summary: No Api-Key header
              description: The header may be missing or misspelled.
              value:
                code: required
                location: header
                name: Api-Key
                message: Missing Api-Key header
            InvalidTokenError:
              summary: Invalid key in Api-Key header
              value:
                code: invalid
                location: header
                name: Api-Key
                message: Invalid Api-Key header
    UnexpectedError:
      description: Unexpected error. User may try and send the request again.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            UnexpectedError:
              summary: An unexpected error
              value:
                errors:
                  - code: unexpected
                    message: An expected error occurred, you may try again later
  securitySchemes:
    ApiKey:
      type: apiKey
      name: Api-Key
      in: header

````